aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-class-c3-componentised/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2017-07-06 15:01:44 +0300
committerTimo Teräs <timo.teras@iki.fi>2017-07-11 14:31:24 +0300
commit9cda06d133d701cf9dbbfebdb211ee7f8fc74124 (patch)
tree2ba3bb71b82a09c1954319f581fb6573b7d476ce /testing/perl-class-c3-componentised/APKBUILD
parent0e0ff770daeb07c8bf0303cd3d66521595c2daf2 (diff)
downloadaports-9cda06d133d701cf9dbbfebdb211ee7f8fc74124.tar.bz2
aports-9cda06d133d701cf9dbbfebdb211ee7f8fc74124.tar.xz
testing/perl-class-c3-componentised: new aport
http://search.cpan.org/dist/Class-C3-Componentised/
Diffstat (limited to 'testing/perl-class-c3-componentised/APKBUILD')
-rw-r--r--testing/perl-class-c3-componentised/APKBUILD48
1 files changed, 48 insertions, 0 deletions
diff --git a/testing/perl-class-c3-componentised/APKBUILD b/testing/perl-class-c3-componentised/APKBUILD
new file mode 100644
index 0000000000..a540d5e415
--- /dev/null
+++ b/testing/perl-class-c3-componentised/APKBUILD
@@ -0,0 +1,48 @@
+# Automatically generated by apkbuild-cpan, template 2
+# Contributor: Timo Teräs <timo.teras@iki.fi>
+# Maintainer: Timo Teräs <timo.teras@iki.fi>
+pkgname=perl-class-c3-componentised
+_pkgreal=Class-C3-Componentised
+pkgver=1.001000
+pkgrel=0
+pkgdesc="unknown"
+url="http://search.cpan.org/dist/Class-C3-Componentised/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-class-c3 perl-class-inspector perl-mro-compat perl-test-exception"
+cpanmakedepends=""
+cpancheckdepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+checkdepends="$cpancheckdepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/F/FR/FREW/$_pkgreal-$pkgver.tar.gz"
+builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ default_prepare || return 1
+
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ make
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+check() {
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ make test
+}
+
+sha512sums="860b7cd09b1add6f252fddc0934e9f542231be90a57cf36afcab55684aca2fdb667777248c3583ad955ce0b76db44297515f56194ed2ec444dd8c801a01b5713 Class-C3-Componentised-1.001000.tar.gz"